--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new ChannelList, optionally filling it with the elements from the Array argument fed to it.
full_name: Irc::ChannelList::new
is_singleton: true
name: new
params: (ar=[])
visibility: public
